
/**
 * Beschreiben Sie hier die Klasse Rechteck.
 * 
 * @author (Dennis Schweiger) 
 * @version (0.1)
 */
public class Rechteck
{
    // Instanzvariablen - ersetzen Sie das folgende Beispiel mit Ihren Variablen
    private int xPos;
    private int yPos;
    private int breite;
    private int hoehe;
    private int farbe;
    
    /**
     * Konstruktor für Objekte der Klasse Rechteck
     * 
     * Abstand vom linken Rand: x_recht, 
     * Abstand vom oberen Rand: int y_recht, 
     * Breite horizontal von Punkt (x_recht/y_recht) nach rechts: int b, 
     * Hoehe vertikal von Punkt (x_recht/y_recht) nach unten: int h, 
     * Farbe des Rechtecks: int f_recht
     */
    public Rechteck(int x_recht, int y_recht, int b, int h, int f_recht)
    {
        // Instanzvariable initialisieren
      xPos = x_recht;
      yPos = y_recht;
      breite = b;
      hoehe = h;
      farbe = f_recht;
    }

    /**
     * getter und setter für alle Variablen der Klasse Rechteck
     */
    public int getxPos()
    {
        // tragen Sie hier den Code ein
        return xPos;
    }
    
    public int getyPos()
    {
        // tragen Sie hier den Code ein
        return yPos;
    }
    
    public int getbreite()
    {
        // tragen Sie hier den Code ein
        return breite;
    }
    
    public int gethoehe()
    {
        // tragen Sie hier den Code ein
        return hoehe;
    }
    
    public int getfarbe()
    {
        // tragen Sie hier den Code ein
        return farbe;
    }
    
    public void setxPos(int x_recht)
    {
        xPos = x_recht;
    }   
    
    public void setyPos(int y_recht)
    {
        yPos = y_recht;
    }   
    
    public void setbreite(int b)
    {
        breite = b;
    }   
    
    public void sethoehe(int h)
    {
        hoehe = h;
    }   
    
    public void setfarbe(int f_recht)
    {
        farbe = f_recht;
    }   
}
